summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-10-02 07:15:06 +0200
committerHans de Graaff <graaff@gentoo.org>2017-10-02 07:15:47 +0200
commit59950dd8959a080e81f134a4bd8566bce5221056 (patch)
tree8dde556b040c9ea89ec510a3b8e67ad37d7c0695 /dev-util
parentsys-libs/compiler-rt-sanitizers: Explicitly enable profile libs (NFC) (diff)
downloadgentoo-59950dd8959a080e81f134a4bd8566bce5221056.tar.gz
gentoo-59950dd8959a080e81f134a4bd8566bce5221056.tar.bz2
gentoo-59950dd8959a080e81f134a4bd8566bce5221056.zip
dev-util/cucumber-core: add 3.0.0
Package-Manager: Portage-2.3.8, Repoman-2.3.2
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/cucumber-core/Manifest1
-rw-r--r--dev-util/cucumber-core/cucumber-core-3.0.0.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-util/cucumber-core/Manifest b/dev-util/cucumber-core/Manifest
index d381c71bf04..92828dc6895 100644
--- a/dev-util/cucumber-core/Manifest
+++ b/dev-util/cucumber-core/Manifest
@@ -1 +1,2 @@
DIST cucumber-core-1.5.0.gem 45056 SHA256 594a30969a33f03693915db7eaa2a137e45fed76d9ae19ed7b96a4bbb1764262 SHA512 544d2c5707bde46d0c12dc975b3858e663776d9bc87ef044681525a547ef2de171a74ba0c53fb28dafcbdf90a153bea5357ec1a129f11b2c0dfedd288c5def74 WHIRLPOOL 7e703d2f7b6131417e0895ee27c0efd511fb98a600a607292e4e9f77e1ca45f7241746b42c4509458b624992a00a60e850f12f8623110359fc0f17a015d37fbe
+DIST cucumber-core-3.0.0.gem 52736 SHA256 14877556e8f05aae857f2f2a5356cb96dfabf40e244a2544c57d2d6f54b71b9f SHA512 2991bc8e2f3f5042b10cd430273dd1fd4c851ee444defbdfdf16ba920f93c6523e1b503c562438691947a969c95c8f65416a69c4fdf1fe876ad0c274982b9e75 WHIRLPOOL 75cf647046d29a17ce430f542a51c2d96be1e8de1ff3abb6a8cf49c1c531cc04fa0619fed8c47edca411173085df0aee746f1a5904e4ebc5637d22231a5e0bc4
diff --git a/dev-util/cucumber-core/cucumber-core-3.0.0.ebuild b/dev-util/cucumber-core/cucumber-core-3.0.0.ebuild
new file mode 100644
index 00000000000..2d7c5b6b7b3
--- /dev/null
+++ b/dev-util/cucumber-core/cucumber-core-3.0.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Executable feature scenarios"
+HOMEPAGE="https://github.com/aslakhellesoy/cucumber/wikis"
+LICENSE="Ruby"
+
+KEYWORDS="~amd64"
+SLOT="3.0"
+IUSE="test"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/unindent-1.0
+ )"
+
+ruby_add_rdepend "
+ >=dev-ruby/backports-3.8.0
+ >=dev-util/cucumber-tag_expressions-1.0.1
+ >=dev-ruby/gherkin-4.1.3
+"
+
+all_ruby_prepare() {
+ # Avoid dependency on kramdown to keep dependency list manageable for all arches.
+ rm -f spec/readme_spec.rb || die
+}